package com.xxfc.platform.vehicle.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigDecimal;


/**
 * 需求接单表
 * 
 * @author zjw
 * @email nishijjo@qq.com
 * @date 2019-05-25 10:13:57
 */
@Data
@Table(name = "vehicle_publish_receive")
public class VehiclePublishReceive implements Serializable {
	private static final long serialVersionUID = 1L;
	

    @Id
	@GeneratedValue(generator = "JDBC")
	@ApiModelProperty("主键id")
    private Integer id;


	@Column(name = "code")
	@ApiModelProperty(value = "商品编号")
	private String code;


	@Column(name = "vehicle_id")
	@ApiModelProperty(value = "商品id")
	private String vehicleId;


	@Column(name = "publish_goods_id")
	@ApiModelProperty(value = "需求子id")
	private Integer publishGoodsId;


	@Column(name = "receive_company_id")
	@ApiModelProperty(value = "接单公司id")
	private Integer receiveCompanyId;


	@Column(name = "receive_time")
	@ApiModelProperty(value = "接单时间")
	private Long receiveTime;


	@Column(name = "receive_order_no")
	@ApiModelProperty(value = "接单者订单号")
	private String receiveOrderNo;



	@Column(name = "publish_company_id")
	@ApiModelProperty(value = "发布公司id")
	private Integer publishCompanyId;



	@Column(name = "publish_order_no")
	@ApiModelProperty(value = "接单者订单号")
	private String publishOrderNo;


	@Column(name = "ack_time")
	@ApiModelProperty(value = "确认时间")
	private Long ackTime;



    @Column(name = "status")
	@ApiModelProperty(value = "状态：0-已接单待支付；1-已支付，待确认；2-拒绝；3-同意；4-取消")
    private Integer status;




    @Column(name = "crt_time")
	@ApiModelProperty(value = "创建时间", hidden = true )
    private Long crtTime;


    @Column(name = "upd_time")
	@ApiModelProperty(value = "更新时间", hidden = true )
    private Long updTime;


	@Column(name = "is_del")
	@ApiModelProperty(value = "是否删除：0-正常；1-删除")
	private Integer isDel;
	

}
